<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../../static/css/integrales/simpson38.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <link rel="shortcut icon" href="{{ url_for('static', filename='./images/pi.png') }}">
    <title>Integral Simpson 3/8</title>
</head>
<body> 

    <!-- ESTO ES EL NAVBAR -->
    <nav class="navbar navbar-expand-lg  fixed-top  navbar-dark" style="background-color: #339dee;">
      <a class="navbar-brand" href="./">
          <img src="../static/images/math.png" width="45" height="45" alt="" loading="lazy" style="margin-left: 10px;">
      </a>
          <a class="navbar-brand" href="./" style="margin-right: 25px;">NumeriCalc</a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNavDropdown">
            <ul class="navbar-nav">
              <li class="nav-item active">
                <a class="nav-link" href="./">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="./derivadas">Derivada</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="./graficadora">Graficadora</a>
              </li>
              <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Conversiones
                  </a>
                  <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="./bases">Entre Bases</a>
                    <a class="dropdown-item" href="./standardieee754">Estándar IEE 754</a>
                  </div>
              </li>
              <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Raíces
                  </a>
                  <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="./biseccion">Bisección</a>
                    <a class="dropdown-item" href="./reglafalsa">Regla Falsa</a>
                    <a class="dropdown-item" href="./newtonraphson">Newton-Raphson</a>
                    <a class="dropdown-item" href="./secante">Secante</a>
                    <a class="dropdown-item" href="/raicespolinomios">Raíces de Polinomios</a>
                  </div>
              </li>
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Integrales
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                  <a class="dropdown-item" href="./rectangulos">Rectángulos</a>
                  <a class="dropdown-item" href="./trapecios">Trapecios</a>
                  <a class="dropdown-item" href="./simpson13">Simpson 1/3</a>
                  <a class="dropdown-item" href="./simpson38">Simpson 3/8</a>
                  <a class="dropdown-item" href="./montecarlo">Montecarlo</a>
                </div>
              </li>   
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Matrices
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                  <a class="dropdown-item" href="./sumaresta">Suma y Resta</a>                          
                  <a class="dropdown-item" href="./detInvTras">Determinante, Traspuesta, Inversa</a>   
                  <a class="dropdown-item" href="./matrizMultiplicacion">Multiplicación</a>             
                  <a class="dropdown-item" href="./gaussJordan">Gauss Jordan</a>
                </div>
              </li>     
              <li class="nav-item">
                <a class="nav-link" href="./ajusteCurvas">Ajuste de Crurvas</a>
              </li>             
              <li class="nav-item" style="margin-left: 720px;">
                  <a class="nav-link" href="./nosotros">Sobre Nosotros</a>
              </li>
            </ul>              
          </div>
  </nav>



<!-- ESTO ES EL CONTENIDO -->
<div class="page">

<div class="textContent">
    <h3 class="text-left" style="margin-top:20px; color:#1689e0;" >
        Método de Integración Numérica por Simpson 3/8
    </h3> 

    <p class="text-left" style="margin-right: 200px;">
        Este método consiste en la aproximación del cálculo del área plana bajo una curva utilizando
        trapecios curvilíneos a partir una interpolación con una función cuadrática
    </p>
</div>

<div class="content">
    <form action="/simpson38" method="POST">
        <div class="form-group" style="width: 600px;">
            <label for="functionName">Función</label>
            <input  class="form-control" placeholder="Ej: f(x)=x**2 +3x" id="functionName" name="functionName" type="text" value="{{functionName}}">
        </div>
        <div class="form-group">
            <label for="left">Extremo Izquierdo</label>
            <input  class="form-control" placeholder="Ej: -1" id="left" name="left" type="text" value="{{left}}">
        </div>
        <div class="form-group">
            <label for="right">Extremo Derecho</label>
            <input  class="form-control" placeholder="Ej: 1" id="right" name="right" type="text" value="{{right}}">
        </div>
        <div class="form-group">
            <label for="numberOfPart">Numero de Particiones</label>
            <input  class="form-control" placeholder="Ej: 100" id="numberOfPart" name="numberOfPart" type="text" value="{{numberOfPart}}">
        </div>
        <div class="submmitbtns">
            <button class="btn btn-primary" style="width: 160px;" type="submmit" name="Calcular">Calcular</button>
            <button class="btn btn-primary" style="width: 160px;" type="submmit" name="Borrar">Borrar</button>
        </div>
    </form>
</div>


</div>

<!-- ESTO ES EL FOOTER -->
<footer id="sticky-footer" class="py-4 bg-dark text-white-50">
        <div class="container text-center">
        <small>Copyright &copy; NumeriCalc</small>
        </div>
</footer>


</body>
</html>